Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.mail.smime
Class SMIMECompressedGenerator

    java.lang.Object
      |
      +--org.bouncycastle.mail.smime.SMIMEGenerator
            |
            +--org.bouncycastle.mail.smime.SMIMECompressedGenerator

public class SMIMECompressedGenerator
extends SMIMEGenerator

General class for generating a pkcs7-mime message. A simple example of usage.

          SMIMECompressedGenerator  fact = new SMIMECompressedGenerator();

          fact.addKeyTransRecipient(cert);

          MimeBodyPart           smime = fact.generate(content, algorithm, "BC");

Note: Most clients expect the MimeBodyPart to be in a MimeMultipart when it's sent.

Field Summary
`static java.lang.String` | `ZLIB`

Fields inherited from class org.bouncycastle.mail.smime.SMIMEGenerator
`encoding, useBase64`

Constructor Summary
`SMIMECompressedGenerator()` base constructor

Method Summary
`javax.mail.internet.MimeBodyPart` | `generate(javax.mail.internet.MimeBodyPart content, java.lang.String compressionOID)` generate an compressed object that contains an SMIME Compressed object using the given provider from the contents of the passed in message
`javax.mail.internet.MimeBodyPart` | `generate(javax.mail.internet.MimeMessage message, java.lang.String compressionOID)` generate an compressed object that contains an SMIME Compressed object using the given provider from the contents of the passed in message

Methods inherited from class org.bouncycastle.mail.smime.SMIMEGenerator
`makeContentBodyPart, makeContentBodyPart, setContentTransferEncoding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZLIB

    public static final java.lang.String ZLIB

See Also:
  Constant Field Values

Constructor Detail

### SMIMECompressedGenerator

    public SMIMECompressedGenerator()

  base constructor

Method Detail

### generate

    public javax.mail.internet.MimeBodyPart generate(javax.mail.internet.MimeBodyPart content,
                                                     java.lang.String compressionOID)
                                              throws SMIMEException

  generate an compressed object that contains an SMIME Compressed object using the given provider from the contents of the passed in message

    `SMIMEException`

### generate

    public javax.mail.internet.MimeBodyPart generate(javax.mail.internet.MimeMessage message,
                                                     java.lang.String compressionOID)
                                              throws SMIMEException

  generate an compressed object that contains an SMIME Compressed object using the given provider from the contents of the passed in message

    `SMIMEException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD